use super::schema::role_resource_actions;
use beteran_common_rust as bcr;

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "role_resource_actions"]
#[primary_key(role_id, resource_action_id)]
pub struct RoleResourceAction {
  ///
  pub role_id: uuid::Uuid,
  ///
  pub resource_action_id: uuid::Uuid,
  ///
  pub created_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "role_resource_actions"]
pub struct NewRoleResourceAction {
  ///
  pub role_id: uuid::Uuid,
  ///
  pub resource_action_id: uuid::Uuid,
}

///
#[derive(Debug, Clone)]
pub struct FindAllSearch {
  ///
  pub role_id: Option<uuid::Uuid>,
  ///
  pub resource_action_id: Option<uuid::Uuid>,
}

///
#[derive(Debug, Clone)]
pub struct FindAll {
  ///
  pub search: Option<FindAllSearch>,
  ///
  pub pagination: Option<bcr::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::pagination::Sort>>,
}
